Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class WebBrowser.Status

    java.lang.Object
      org.jdesktop.jdic.browser.WebBrowser.Status

Enclosing class:
  WebBrowser

public static class WebBrowser.Status
extends java.lang.Object

An inner class which is used for retrieving the WebBrowser's properties, such as the initialization status, back and forward status.

Method Summary
`boolean` | `isBackEnabled()` Tests whether the back navigation operation is enabled.
`boolean` | `isForwardEnabled()` Tests whether the forward navigation operation is enabled.
`boolean` | `isInitialized()` Tests whether the `WebBrowser` object is initialized successfully.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isInitialized

    public boolean isInitialized()

  Tests whether the `WebBrowser` object is initialized successfully.

  Returns:
    `true` if the `WebBrowser` object is initialized successfully; otherwise, `false`.

### isBackEnabled

    public boolean isBackEnabled()

  Tests whether the back navigation operation is enabled.

  Returns:
    `true` if the back navigation operation is enabled; otherwise, `false`.

### isForwardEnabled

    public boolean isForwardEnabled()

  Tests whether the forward navigation operation is enabled.

  Returns:
    `true` if the forward navigation operation is enabled; otherwise, `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.